%global         momorel 2

Name:           perl-WebService-Recruit-HotPepper
Version:        0.03
Release:        %{momorel}m%{?dist}
Summary:        Perl interface for HotPepper Web Service
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/WebService-Recruit-HotPepper/
Source0:	http://www.cpan.org/modules/by-module/WebService/WebService-Recruit-HotPepper-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Class-Accessor
BuildRequires:  perl-Class-Accessor-Children
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-XML-OverHTTP
Requires:       perl-Class-Accessor
Requires:       perl-Class-Accessor-Children
Requires:       perl-XML-OverHTTP
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is a perl interface for the HotPepper Web Service
(http://api.hotpepper.jp), provided by Recruit Co., Ltd., Japan. It
provides API methods: "GourmetSearch", "ShopSearch", "LargeServiceArea",
"ServiceArea", "LargeArea", "MiddleArea", "SmallArea", "Genre", "Food", and
"Budget". With these methods, you can find restaurants and their discount
coupons in Japan.

%prep
%setup -q -n WebService-Recruit-HotPepper-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes make-dist.sh
%{perl_vendorlib}/WebService/Recruit/*
%{_mandir}/man3/*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.03-3m)
- rebuild against gcc43

* Thu Aug 23 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.03-2m)
- delete duplicate files or directories

* Thu Aug 23 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.03-1m)
- update to 0.03

* Thu Aug 23 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.02-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
